////////////////////////////////////////////////////////////////////////
// Re-use textures - these shaders normally refer to images in the
// azlcmb_models folder but have edited these to use glug only textures
// from the glug folder.
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/tvscreen
{
	qer_editorImage textures/ut4_glug/screens/screen.tga
	{
		map textures/ut4_glug/misc/shine.jpg
		rgbGen identity
		tcMod scale 2 2
		tcGen environment 
	}
	{
		videomap glug.roq
		blendfunc add
		rgbGen identity
	}
	{
		map textures/ut4_glug/screens/scanline.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 -0.035
		tcMod scale 45 45
	}
	{
		map textures/ut4_glug/screens/screen.tga
		blendfunc blend
		rgbGen Vertex
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/scrollingcircles	
{
	qer_editorimage textures/ut4_glug/structures/bluelight.tga
	q3map_bounceScale 0.0
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
	surfaceparm trans
	q3map_surfacelight 2000
	q3map_forcemeta
	q3map_lightimage textures/ut4_glug/structures/bluelight.tga
	{
		map textures/ut4_glug/structures/bluelight.tga
	}
	{
		map textures/ut4_glug/water/deep_bubbles2.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scroll -0.05 1.4
		tcMod turb 0 0.01 0 0.5
		alphaFunc GE128
	}
	{
		map textures/ut4_glug/water/deep_bubbles.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcMod scroll 0.04 2.6
		alphaFunc GE128
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/chromey
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/misc/azchrome.tga
	{
		map textures/ut4_glug/misc/azchrome.tga
	}
	{
		map textures/ut4_glug/misc/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/redplastic
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/redplastic.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/redplastic.jpg
		rgbGen identity
	}
	{
    		map textures/ut4_glug/misc/azchrome.tga
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/whitemetalteeny
{
    q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/newmetal/whitemetalteeny.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
// The long lighting strip in the walls of white section
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/lighting_strip
{
	qer_editorimage textures/ut4_glug/walls/lighting_strip.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 4800
	q3map_lightimage textures/ut4_glug/walls/lighting_strip.jpg

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/walls/lighting_strip.jpg
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/glassclear
{
	qer_editorimage textures/ut4_glug/misc/glasstint.tga
	qer_trans .5
	surfaceparm trans
    {
		map textures/ut4_glug/misc/glasstint.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
		}
		{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
		}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/hexagonfloor
{
     qer_editorimage textures/ut4_glug/floors/hexagonfloor.jpg
     q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/floors/hexagonfloor.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/cat
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/fibreglass.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/fibreglass.jpg
		rgbGen identity

	}
	{
    	map textures/ut4_glug/misc/azchrome.tga
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/beigematte
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/beigematte.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/beigematte.jpg
		rgbGen identity

	}
	{
    	map textures/ut4_glug/misc/azchrome.tga
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE

   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/whitehull
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/steelhull.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/steelhull.jpg
		rgbGen identity

	}
	{
    	map textures/ut4_glug/misc/azchrome.tga
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/deck
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/deckwood.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/deckwood.jpg
		rgbGen identity
	}
	{
    	map textures/ut4_glug/misc/azchrome.tga
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/redplastic
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/boat/redplastic.jpg
	surfaceparm nodamage
	{
		map textures/ut4_glug/boat/redplastic.jpg
		rgbGen identity
	}
	{
    	map textures/ut4_glug/misc/azchrome.tga
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
////////////////////////////////////////////////////////////////////////
// Metal for the airducts with bump and normals
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/airduct_open_grill
{	
    qer_editorimage textures/ut4_glug/airduct/airduct_open_grill.tga
	surfaceparm alphashadow
	nopicmip
	q3map_forcemeta
	{
		map textures/ut4_glug/airduct/airduct_open_grill.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/airduct1
{
	q3map_forcemeta
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/airduct/airduct1.tga
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/airduct2
{
	q3map_forcemeta
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/airduct/airduct2.tga
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/airduct_grill
{
    surfaceparm nodamage
    q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/airduct/airduct_grill.tga
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/craneside
{
    qer_editorimage textures/ut4_glug/surface/craneside.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/ut4_glug/surface/craneside.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
// Canteen kitchen lower deck stuff
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/formica
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/canteen/formica.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/greenmetal
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/canteen/greenmetal.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/chainlink
{
	qer_editorimage textures/ut4_glug/misc/chain.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_forcemeta
	cull none
	deformVertexes autosprite2
	nopicmip
	{
		map textures/ut4_glug/misc/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/exit_clean
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/decals/smallsigns/exit_clean.tga
	light 133
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/ut4_glug/decals/smallsigns/exit_clean.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/decals/smallsigns/exit_clean.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/exit_dirty
{
	q3map_forcemeta
	qer_editorimage textures/ut4_glug/decals/smallsigns/exit_dirty.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/ut4_glug/decals/smallsigns/exit_dirty.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_glug/decals/smallsigns/exit_dirty.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/exit_side
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/decals/smallsigns/exit_side.tga
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxbottomrect
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxbottomrect.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxbottomsquare
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxbottomsquare.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxmaxiside
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxmaxiside.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxmaxiside2
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxmaxiside2.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxplainside
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxplainside.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxsidechineese
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxsidechineese.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxsidechineese2
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxsidechineese2.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/boxtopsquare
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/boxtopsquare.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/cardboardcorrigacted
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/cardboardcorrigacted.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/dinovo
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/dinovo.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/pumppanel
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/pumppanel.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/voltagepanel
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/models/voltagepanel.jpg
        blendFunc filter
    }
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/stripe_strip
{
	q3map_forcemeta
        qer_editorimage textures/ut4_glug/final/stripe_strip.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_glug/final/stripe_strip.jpg
		alphaFunc GT0
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_models/greenplastic
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map textures/ut4_glug/canteen/greenmetal.jpg
        blendFunc filter
    }
}
models/mapopbjects/azlcmb1_fire/fireextinguish
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map models/mapobjects/azlcmb1_fire/fireextinguish.jpg
        blendFunc filter
    }
}

models/mapopbjects/azlcmb1_fire/azchrome
{
	q3map_forcemeta
    {
        map $lightmap
    }
    {
        map models/mapobjects/azlcmb1_fire/azchrome.jpg
        blendFunc filter
    }
}
